#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 32. KDE Plasma

- Prev

  pulseaudio-qt-1.8.1

- Next

  kquickimageeditor-0.6.0

- Up
- Home

# qtkeychain-0.15.0

## Introduction to qtkeychain

This package provides a Qt API to store passwords and other secret data securely.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/frankosterfeld/qtkeychain/archive/0.15.0/qtkeychain-0.15.0.tar.gz

- Download MD5 sum: 00b01588862ba1ed4e6cb81a959108c3

- Download size: 56 KB

- Estimated disk space required: 3.0 MB

- Estimated build time: less than 0.1 SBU (Using parallelism=4)

### qtkeychain Dependencies

#### Required

Qt-6.11.0

## Installation of qtkeychain

Install qtkeychain by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$QT6DIR \
          -D CMAKE_BUILD_TYPE=Release     \
          -D BUILD_WITH_QT6=ON            \
          -D BUILD_TESTING=OFF            \
          -W no-dev ..                    &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libqt6keychain.so
Installed Directories: $QT6DIR/include/qt6keychain, $QT6DIR/lib/cmake/Qt6Keychain, and $QT6DIR/share/qt6keychain

- Prev

  pulseaudio-qt-1.8.1

- Next

  kquickimageeditor-0.6.0

- Up
- Home